Bug 1852787 - Should forbidden to create the KubeletConfig object if lack of the evictionSoftGracePeriod when using the soft eviction
Summary: Should forbidden to create the KubeletConfig object if lack of the evictionSo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Harshal Patil
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1805019
Blocks: 1852792
TreeView+ depends on / blocked
 
Reported: 2020-07-01 10:19 UTC by OpenShift BugZilla Robot
Modified: 2020-08-17 20:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Cause: evictionSoft must be specified with corresponding evictionSoftGracePeriod Consequence: Kubelet will fail to start without valid configuration Fix: During KubeletConfig creation verify that evictionSoft is supplied with corresponding evictionSoftGracePeriod Result: Kubelet should start normally with evictionSoft support
Clone Of:
Environment:
Last Closed: 2020-08-17 20:05:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1887 0 None closed [release-4.5] Bug 1852787: KubeletConfig: Verify EvictionSoftGracePeriod is set when EvictionSof… 2020-10-27 16:33:16 UTC
Red Hat Product Errata RHBA-2020:3330 0 None None None 2020-08-17 20:05:42 UTC

Comment 5 MinLi 2020-08-11 06:23:20 UTC
not fix in version : 4.5.0-0.nightly-2020-08-07-024812

$ oc get kubeletconfig worker-kubeconfig-fix -o yaml 
apiVersion: machineconfiguration.openshift.io/v1
kind: KubeletConfig
metadata:
  creationTimestamp: "2020-08-11T06:17:18Z"
  finalizers:
  - 2291b9e1-6bbf-4ad8-982f-5d1c5285b88e
  generation: 1
  managedFields:
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:kubeletConfig:
          .: {}
          f:evictionPressureTransitionPeriod: {}
          f:evictionSoft: {}
        f:machineConfigPoolSelector:
          .: {}
          f:matchLabels:
            .: {}
            f:custom-kubelet: {}
    manager: oc
    operation: Update
    time: "2020-08-11T06:17:18Z"
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"2291b9e1-6bbf-4ad8-982f-5d1c5285b88e": {}
      f:status:
        .: {}
        f:conditions: {}
    manager: machine-config-controller
    operation: Update
    time: "2020-08-11T06:17:19Z"
  name: worker-kubeconfig-fix
  resourceVersion: "96766"
  selfLink: /apis/machineconfiguration.openshift.io/v1/kubeletconfigs/worker-kubeconfig-fix
  uid: b3e6bcc7-51f2-4d2a-b898-2380f6ab14f9
spec:
  kubeletConfig:
    evictionPressureTransitionPeriod: 0s
    evictionSoft:
      memory.available: 90%
      nodefs.available: 90%
      nodefs.inodesFree: 90%
  machineConfigPoolSelector:
    matchLabels:
      custom-kubelet: small-pods
status:
  conditions:
  - lastTransitionTime: "2020-08-11T06:17:19Z"
    message: Success
    status: "True"
    type: Success

Comment 7 MinLi 2020-08-12 01:30:31 UTC
verified!

Comment 9 errata-xmlrpc 2020-08-17 20:05:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3330


Note You need to log in before you can comment on or make changes to this bug.